#define AROS_ALMOST_COMPATIBLE
#include "global.h"
#include <string.h>

#define DEBUG 0
#include <aros/debug.h>

BOOL PBInitSignalDone = FALSE;

void LoadPowerBookPrefs(char *filename)
{
	struct Task *st;
	
	// there are two files loaded by the signal *initially*
	// this is because the settings are divided into settings changed within the service itself (backlight control)
	// and stuff that gets configured by the mprefs
	if (strstr(filename, "laptopquick.conf") && PBInitSignalDone)
	{
		return;
	}
	
	PBInitSignalDone = TRUE;
	
	// the service will do the loading on its own...
	Forbid();
	st = FindTask(" PowerBook Services ");
	if (st) Signal(st, SIGBREAKF_CTRL_D);
	Permit();
}
